﻿.ui-datepicker
{
    display:none;
}

.field-validation-valid
{
    display: none;
}

.validation-summary-valid
{
    display: none;
}

.clear-fix:before,
.clear-fix:after {
    content: "";
    display: table;
} 
.clear-fix:after {
    clear: both;
}
.clear-fix {
    zoom: 1; /* For IE 6/7 (trigger hasLayout) */
}

.left
{
    float:left
}
.right
{
    float:right
}

.instanda-question-item{
    position: relative;
}

.instanda-helpIcon {
    background-image: url('HelpIcon.png');
    background-repeat: no-repeat;
    width: 30px;
    height: 30px;
    white-space: nowrap;
    margin-top: 2px;
    margin-right: 2px;
    position: absolute;
    right: 0;
    z-index: 999;
    cursor: pointer;
   
}

.instanda-helpText {
    position: absolute;
    z-index: 1000;
    top: 15px;
    right: 15px;
    overflow: hidden;
    -ms-word-wrap: break-word;
    word-wrap: break-word;
    padding: 5px;
    max-width: 500px;
     display:none;
}

.instanda-helpIcon img
{
    border-width: 0;
}

td .instanda-helpText
{
    position:absolute;
}

#WaitingOpaqueBox {
    display: none;
    cursor: wait;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: white;
    opacity: 0.5;
    filter: alpha(opacity=50);
    -moz-opacity: 0.3;
    position: fixed;
    z-index: 1000000000;
}

#WaitingAnimationGraphic {
    left: 50%;
    top: 50%;
    position: fixed;
    z-index: 1500000000;
}

 .instanda-email-sent-spinner{
	background : url('ajax-loader.gif') no-repeat center center;
	width : 50px;
	height :50px;
	border : none;
	color : transparent;
	font-size : 0;
       
}


 .instanda-number-question .instanda-number-input
{
     display: inline-block;
}

 .instanda-confirm-question-checkbox
 {

     overflow-x: hidden;
overflow-y: scroll;
 }


.instanda-covertype-question {
    margin-left: 25px;
}



 .instanda-missing-content-warning{
 background-color: yellow;
  color:red;
  border: solid 1px red;
  border-radius: 5px;
  font-size:1em;
  padding-top: 10px;
  padding-bottom:10px;
  margin-bottom:15px;
  text-align:center;
}


.instanda-ddc-label{
display:inline-block;
width:130px
}

.instanda-ddc-container{
    margin-top: 5px;
  margin-bottom: 5px;
  line-height: 2em;
}





        
        .clear {
        clear:both
        }

        .margin-top {
            margin-top:10px; 
        }

         .margin-bottom {
            margin-bottom:10px; 
        }

         .padding-bottom {
            padding-bottom:10px; 
        }
        .full-width {
            width:100%; 
        }
        .bold {
            font-weight: bold;
        }

       
        .even-row{
            background: #f7f7f9

        }

        .row {
            border: 1px solid #ccc;
            padding: 5px;
            box-sizing: border-box;
            border-radius: 5px;
            background: #f7f7f9;
        }
        

        .action-buttons 
        {
            height:30px;
        }

        .free-text {
            padding: 5px;
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-sizing: border-box;
        }
.instanda-condition-met {
    color:black;
}

/* Bug 9187 */
.ui-dialog
{
    z-index: 101;
}

input[type="date"]
{
    display:block;
    -webkit-appearance: none;
    -moz-appearance: none;
    min-height: 1.2em;
    min-width: 100px !important;
}


/* Agent Search Page - START */

.agentTable.instanda-retrieve-quotes-table .agentSearchItemParameters td.userDefinedSearchParameterName {
    min-width : 190px;
    word-wrap : break-word;
}

/* Agent Search Page - END */


/* Agent Search Control - START */

#agentSearchControl {
    width : 25%;
    float : right;
    padding : 1em;
    border : 1px solid black;
}

#agentSearchControl #agentSearchButton {
    width : 40%;
    margin-top : 1em;
    margin-left : 30%;
    margin-right : 30%;
}

#agentSearchControl #searchTitle {
    margin-top : 0;
}

#agentSearchControl #agentSearchItemParameters td {
    padding-left : 0;
}

#agentSearchControl #agentSearchParameters .agentSearchParameter {
    display : block;
    height : 2em;
}

#agentSearchControl #agentSearchParameters .agentSearchParameterName {
    width : 60%;
}

#agentSearchControl #agentSearchParameters .agentSearchParameterInput input[name*='.ParameterValue'] {
    float : right;
    width : 40%;
}

/* Agent Search Control - END */


/* Agent Dashboard - START */

.agentDashboardTableContainer {
    width : 70%;
    margin-left : 0;
    margin-right : 1em;
}

.agentDashboardTableContainerFullWidth {
    width : 100%;
    margin-left : 0;
    margin-right : 0;
}

.agentDashboardTableContainer .viewAllLink,
.agentDashboardTableContainerFullWidth .viewAllLink {
    float : right;
    vertical-align : bottom;
}

.agentDashboardTable {
    width : 100%;
}

table.agentDashboardTable tr > th.rightAlign,
table.agentDashboardTable tr > td.rightAlign {
    text-align : right;
}

table.agentDashboardTable #statusIcon.declined {
    color : red;
}

table.agentDashboardTable #statusIcon.pending {
    color : gray;
}

table.agentDashboardTable #statusIcon.quoted {
    color : #04a504;
}

table.agentDashboardTable #statusIcon.referred {
    color : orange;
}

/* Agent Dashboard - END */

.instanda-multi-item-summary-header ul,
.instanda-multi-item-summary-item ul {
    padding: 0;
}

.instanda-multi-item-summary-header ul li,
.instanda-multi-item-summary-item ul li {
    display: inline-block;
    width: 16%;
    list-style: none;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.instanda-multi-item-summary-header-1-summary-cols ul li,
.instanda-multi-item-summary-item-1-summary-cols ul li {
    width: 48%;
}

.instanda-review-referrals-buttons {
    text-align : right;
}

.instanda-multi-item-summary-header-2-summary-cols ul li,
.instanda-multi-item-summary-item-2-summary-cols ul li {
    width: 32%;
}

.instanda-multi-item-summary-header-3-summary-cols ul li,
.instanda-multi-item-summary-item-3-summary-cols ul li {
    width: 24%;
}

.instanda-multi-item-summary-header-4-summary-cols ul li,
.instanda-multi-item-summary-item-4-summary-cols ul li {
    width: 19%;
}

.instanda-multi-item-summary-header-5-summary-cols ul li,
.instanda-multi-item-summary-item-5-summary-cols ul li {
    width: 16%;
}

/* Documnet Upload questions */
.instanda-file-input {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

.instanda-file-input-label-btn {
    display: inline-block;
    cursor: pointer;
    text-decoration: underline;
}

.instanda-file-input-selected {
    opacity: 0.75;
    margin: 3px;
}

.instanda-document-upload-remove-btn {
    cursor: pointer;
}

/* Documnet Upload questions - end */

/* Log claims screen */
#noClaimsMadeMessage {
    display: block;
    margin: 10px 0px 10px 0px;
}

.logged-claims-section {
    display: block;
}

.logged-claim-title {
    display: block;
}

.logged-claim-section-content {
    display: block;
}

.claim-input-item {
    display: inline-block;
    margin-bottom: 10px;
}

.claim-insurer-reference,
.claim-date,
.claim-status,
.claim-description,
.claim-loss-date,
.claim-loss-type,
.claim-paid,
.claim-reserve,
.claim-outstanding {
    width: 32.5%;
}

.claim-input-item label {
    display: block;
}
/* Log claims screen - end*/

/* Bulk upload claims screen */

#uploadClaimsContainer {
    margin: 10px 0px 10px 0px;
}

#closeSuccessButton,
#validationErrorHeading,
#validationErrorHeading label {
    cursor: pointer;
}

#closeSuccessButton {
    float: right;
}

#validationErrorHeading {
    color: #ff0000;
    font-weight: bold;
}

#validationHeadingButton {
    float: right;
    width: 45px;
}

.uploaded-successfully {
    font-weight: bold;
    color: #2b542c;
    background-color: #dff0d8;
    border: 1px solid #d6e9c6;
    margin: 10px;
    padding: 4px 4px 4px 4px;
}

.validation-summary-errors {
    padding: 4px 4px 4px 4px;
}

/* adding margin to separate the calendar icon from the input text (jquery ui modal popup) */
.ui-dialog-content input.hasDatepicker + img.ui-datepicker-trigger {
    margin-left: 5px;
}

/* button area in jquery ui modal popup */

.modal-footer {
    margin-top: 10px;
}

.instanda-bambora-iframe iframe {
    width: 100%;
    height: 450px;
    border: none
}

/* Bulk upload claims screen - end */
 
.toastr-modal-btn {
    margin-left: 10px;
    background: #fff;
    color: #C04944;
    border-radius: 4px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
    text-decoration: none;
    border: transparent;
    font-size: 100%;
    padding: .5em 1em;
}

.document-media-download {
    display: inline-block;
    vertical-align: sub;
    width: 20px;
    height: 20px;
    background: url(media-download.svg) no-repeat;
}

.document-media-play {
    display: inline-block;
    vertical-align: sub;
    width: 20px;
    height: 20px;
    background: url(media-play.svg) no-repeat;
}

.document-media-view {
    display: inline-block;
    vertical-align: sub;
    width: 20px;
    height: 20px;
    background: url(media-view.svg) no-repeat;
}


.spinner-small {
    display: inline-block;
    vertical-align: bottom;
    width: 25px;
    height: 25px;
    background: url(spinner.svg) no-repeat;
    background-size:contain;
}

.alert-red {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.no-side-padding-left
{
    padding-left:0px;
}

.no-side-padding-right
{
    padding-right:0px;
}

/* ---------------------- Pagination (start) ---------------------- */

.pagination {
    border-radius: .375rem;
    display: flex;
    list-style: none;
    padding-left: 0;
}

.page-link {
    background-color: #fff;
    border: 1px solid #e3ebf6; 
    color: #12263f;
    display: block;
    height: 100%;
    line-height: 1.25;
    margin-left: -1px;
    padding: .5rem .75rem;
    position: relative;
    text-decoration: none;
}

.page-link .page-ellipsis,
.page-link .page-first,
.page-link .page-last,
.page-link .page-previous,
.page-link .page-next {
    margin-top: 0.15rem;
    padding-left: 0;
    padding-right: 0;
}

.page-link:hover:not(:disabled) {
    background-color: #ededed;
    border-color: #e3ebf6; 
    color: #12263f;
    cursor: pointer;
    text-decoration: none;
    z-index: 2;
}

.page-link:focus:not(:disabled) {
    box-shadow: 0 0 0 .15rem rgba(44, 123, 229, .25);
    outline: 0;
    z-index: 2;
}

.page-item:first-child .page-link {
    border-bottom-left-radius: .375rem;
    border-top-left-radius: .375rem;
    margin-left: 0;
}

.page-item:last-child .page-link {
    border-bottom-right-radius: .375rem;
    border-top-right-radius: .375rem;
}

.page-item.active .page-link {
    background-color: #bbbbbb;
    border-color: #bbbbbb; 
    color: #fff;
    font-weight: bold;
    z-index: 1;
}

.page-item.active,
.page-link.disabled {
    background-color: #fff;
    border-color: #e3ebf6; 
    color: #95aac9;
    cursor: auto;
    pointer-events: none;
}

.pagination-lg .page-link {
    font-size: 1.0625rem;
    line-height: 1.5; 
    padding: .75rem 1.5rem;
}

.pagination-lg .page-item:first-child .page-link {
    border-bottom-left-radius: .5rem;
    border-top-left-radius: .5rem;
}

.pagination-lg .page-item:last-child .page-link {
    border-bottom-right-radius: .5rem;
    border-top-right-radius: .5rem;
}

.pagination-sm .page-link {
    font-size: .8125rem;
    line-height: 1.75; 
    padding: .1rem .4rem;
}

.pagination-sm .page-item:first-child .page-link {
    border-bottom-left-radius: .25rem;
    border-top-left-radius: .25rem;
}

.pagination-sm .page-item:last-child .page-link {
    border-bottom-right-radius: .25rem;
    border-top-right-radius: .25rem;
}

/* ---------------------- Pagination (end) ---------------------- */

table tr > th.endAlign,
table tr > td.endAlign {
    text-align : right;
}

.sortableColumn > a {
    text-decoration: none;
}

.quote-search-results-container {
    border: 1px solid #d6d7d9;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    box-shadow: 0 1px 3px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 1px 3px 0px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 1px 3px 0px rgba(0, 0, 0, 0.1);
    margin-top: 1em;
    min-height: 10em;
    padding: 0 1em 1em 1em;
    width: 100%;
}

.quote-search-results-refresh {
    display: inline-block;
    position: absolute;
    right: 1em;
    top: 1em;
    z-index: 1000;
}

.quote-search-results-content .pagination {
    margin-bottom: 0;
}

.quote-search-results-table {
    overflow-x: auto;
}

.quote-search-results-table td {
    padding: 0.3em;
    vertical-align: text-top;
}

.quote-search-results-table th {
    vertical-align: baseline;
}

.quote-search-results-table th.sorted i {
    padding-left: 0.2em;
}

.quote-search-results-table-loader {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.quote-search-results-table-loader .spinner-border {
    height: 5rem;
    color: #34495e;
    width: 5rem;
}

.quote-search-results-table-loader-overlay {
    cursor: wait;
    background-color: white;
    opacity: 0.5;
    filter: alpha(opacity=50);
}

/* -- Image Choice Question -- */

.deselectedChoiceImage {
    opacity: 0.3;
    filter: alpha(opacity=30);
}

/* -- End Image Choice Question -- */